Package writer2latex.api

# Interface StarMathConverter

All Known Implementing Classes:
  `StarMathConverter`

public interface StarMathConverter
This is an interface for a converter, which offers conversion of a StarMath formula into LaTeX Instances of this interface are created using the `ConverterFactory`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(String sStarMathFormula)`
Convert a StarMath formula
`Config`
`getConfig()`
Get the configuration used when converting.
`String`
`getPreamble()`
Create a suitable LaTeX preamble to process the formulas converted so far

## Method Details

### getConfig

Config getConfig()
Get the configuration used when converting.

Returns:
  the configuration used by this converter

### convert

String convert(String sStarMathFormula)
Convert a StarMath formula

Parameters:
  `sStarMathFormula` - is a string containing the StarMath formula
Returns:
  a string containing the converted LaTeX formula

### getPreamble

String getPreamble()
Create a suitable LaTeX preamble to process the formulas converted so far

Returns:
  a string containg the entire LaTeX preamble